<div class="modal-header">
  <button type="button" class="close" (click)="close()">
    &times;
  </button>
  <h4 class="modal-title">Danh mục dự án</h4>
</div>
<div id="PermissionsForm" class="modal-body">
  <form *ngIf="Form" [formGroup]="Form" (ngSubmit)="onSubmit()" novalidate>
    <div class="row">
        <div class="col-md-6">
            <custom-input [label]="'Mã danh mục'">
              <input inputRef class="form-control" formControlName="code" type="text"
                [attr.disabled]="disabled ? '' : null" />
            </custom-input>
          </div>
      <div class="col-md-6">
        <custom-input [label]="'Tên danh mục'">
          <input inputRef class="form-control" formControlName="name" type="text"
            [attr.disabled]="disabled ? '' : null" />
        </custom-input>
      </div>
      <div class="col-md-6">
        <custom-input [label]="'Dự án'">
          <autocomplete-directive inputRef [key]="'name'"
            [placeholder]="'Chọn dự án...'" [custom_display_label]="['code', 'name']"
            [headers]="['Mã dự án', 'Tên dự án']" formControlName="module_name" [items]="ListModule"
            (type)="getModule($event)" (selected)="selectModules($event)"></autocomplete-directive>
        </custom-input>
    </div>
    <div class="col-md-12">
      <label>Mô tả</label>
      <textarea type="text"formControlName="description" class="form-control"></textarea>
    </div>
    </div>
    <div class="form-group form-group-sm">
      <label>Tình trạng</label>
      <ui-switch class="toogle" formControlName="is_active"></ui-switch>
    </div>
  </form>
</div>
<div class="modal-footer text-right">
  <button type="button" class="btn btn-default" (click)="close()">
    Đóng
  </button>
  <button *ngIf="userPermission['UPDATE-CATEGORY-ISSUE']" type="button" (click)="save()" class="btn btn-primary" [disabled]="disabled || Form.invalid">
    {{ labelButtonSave }}
  </button>
</div>